package
{
	import org.flixel.FlxG;
	import org.flixel.FlxPoint;
	import org.flixel.FlxSprite;
	
	public class Player extends FlxSprite
	{
		public function Player(X:Number, Y:Number)
		{
			super(X, Y, null);
			this.loadGraphic(GameState.ImgLion,true,true,9,16);
			this.width=7;
			this.height=8;
			this.offset.x=1;
			this.offset.y=3;
			this.addAnimation("idle",[0,1,2],7);
			this.addAnimation("idleright",[0,1,2],7);
			this.addAnimation("walk",[0,1,2],7);
			this.addAnimation("walkright",[0,1,2],7);
			//this.addAnimation("jump",[1],2);
			this.play("bop");	
			this.solid=true;
			this.maxVelocity.x=80;
			this.maxVelocity.y=80;
			this.drag = new FlxPoint(400,400);
		//	this.acceleration.y=300;
		}
		
		override public function update():void
		{
			var toPlay:String;
			this.facing=FlxSprite.RIGHT;
			
			toPlay="idle";
			
			if (FlxG.keys.LEFT)
			{
				toPlay = "walkright";
				this.facing=FlxSprite.LEFT;
				velocity.x-=10;
			}
			if (FlxG.keys.RIGHT)
			{
				toPlay = "walkright";
				this.facing=FlxSprite.RIGHT;
				velocity.x+=10;
			}
			if (FlxG.keys.UP)
			{
				toPlay = "walk";
				//this.facing=FlxSprite.LEFT;
				velocity.y-=10;
			}
			if (FlxG.keys.DOWN)
			{
				toPlay = "walk";
				//this.facing=FlxSprite.RIGHT;
				velocity.y+=10;
			}
			
			if (x<22)
			{
				x=22;
			}
			else if (x+this.width>102)
			{
				x = 102-this.width;
			}
			
			if (y<0)
			{
				y=0;
			}
			else if (y+this.height>FlxG.height)
			{
				y = FlxG.height-this.height;
			}
			
		
			this.play(toPlay);
			
			super.update();
		}
	}
	
}